> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Test Executions

> Returns a list of summarised test executions. The list is ordered by the start time of the execution, with the most recent execution first. It can be paginated by providing a `paginationToken` query parameter obtained from a previous response.



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml get /v1/test-executions
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Manage Agents
    name: Agents
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/test-executions:
    get:
      tags:
        - Test Execution
      summary: List Test Executions
      description: >-
        Returns a list of summarised test executions. The list is ordered by the
        start time of the execution, with the most recent execution first. It
        can be paginated by providing a `paginationToken` query parameter
        obtained from a previous response.
      operationId: getTestExecutions
      parameters:
        - description: Filter results to test executions belonging to this project.
          in: query
          name: projectId
          required: false
          schema:
            type: string
        - description: Token to fetch the next batch of results for a previous query.
          in: query
          name: paginationToken
          required: false
          schema:
            type: string
        - description: The maximum number of results to return (capped at 100).
          in: query
          name: limit
          required: false
          schema:
            type: integer
            format: int32
            default: 25
        - description: Search against test name, with case-insensitive partial matching.
          in: query
          name: testName
          required: false
          schema:
            type: string
        - description: Filter results to test executions within this environment.
          in: query
          name: environmentName
          required: false
          schema:
            type: string
        - description: Filter results to test executions started at or after this moment.
          example: '2021-01-01T00:00:00.000Z'
          in: query
          name: startedAfter
          required: false
          schema:
            type: string
            format: date-time
        - description: Filter results to test executions started at or before this moment.
          example: '2021-01-01T00:00:00.000Z'
          in: query
          name: startedBefore
          required: false
          schema:
            type: string
            format: date-time
        - description: >-
            Filter results to test executions that started within this time
            frame, relative to now. Accepts an ISO-8601 duration string in the
            `PnDTnHnMnS` format, using days, hours, minutes and/or seconds, e.g.
            `P1D`, `P7D`, `PT1H`, `PT30M`, `PT90S`. Week, month and year units
            (`P1W`, `P1M`, `P1Y`) are not supported — use the day-based
            equivalents `P7D`, `P30D` and `P365D` instead.
          examples:
            1. Past day:
              description: 1. Past day
              value: P1D
            2. Past 1 day and 6 hours:
              description: 2. Past 1 day and 6 hours
              value: P1DT6H
            3. Past week (7 days):
              description: 3. Past week (7 days)
              value: P7D
            4. Past month (30 days):
              description: 4. Past month (30 days)
              value: P30D
            5. Past hour:
              description: 5. Past hour
              value: PT1H
            6. Past 30 minutes:
              description: 6. Past 30 minutes
              value: PT30M
            7. Past 90 seconds:
              description: 7. Past 90 seconds
              value: PT90S
          in: query
          name: timeFrame
          required: false
          schema:
            type: string
        - description: >-
            Filter results to test executions which have the status of one of
            the provided values.
          in: query
          name: status
          required: false
          schema:
            type: string
            enum:
              - RUNNING
              - SUCCESS
              - FAILED
              - CANCELLING
              - CANCELLED
              - FORBIDDEN
              - SKIPPED
              - UNKNOWN
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScrollResultListTestExecution'
          description: Test executions returned successfully
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Wrong request parameters used
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unauthorized
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Forbidden
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unexpected error occurred
        '504':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Gateway timeout
components:
  schemas:
    ScrollResultListTestExecution:
      type: object
      properties:
        more:
          type: string
          description: >-
            Token for fetching the next batch of results for this query; if
            omitted then there are no more.
        results:
          type: array
          description: Results of query
          items:
            $ref: '#/components/schemas/TestExecution'
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
    TestExecution:
      type: object
      properties:
        environmentName:
          type: string
          description: Name of the environment the test execution ran in
          example: Dev
        finishedAt:
          type: string
          format: date-time
          description: The time the test execution finished
        message:
          type: string
          description: Human-readable message describing the test execution outcome
          example: '"Rewrite Table": Success'
        projectId:
          type: string
          description: Identifier of the project the test execution belongs to
          example: 4a8a6162-702b-4efc-b2ec-c986e0bc95e4
        scheduleId:
          type: string
          description: >-
            Identifier of the schedule that triggered the test execution, if
            applicable
          example: 9e2a6b04-ddd7-4bb4-b7dc-56e3b6f3ed43
        startedAt:
          type: string
          format: date-time
          description: The time the test execution started
        status:
          type: string
          description: Current status of the test execution
          example: RUNNING
        testExecutionId:
          type: string
          description: Unique identifier for the test execution
          example: fd05a6c4-b3e1-4441-86a2-044d5092731d
        testName:
          type: string
          description: Name of the executed test
          example: My Test
        trigger:
          type: string
          description: What triggered the test execution
          enum:
            - DESIGNER
            - API
            - SCHEDULE
            - SCHEDULE_RUN_NOW
            - UNKNOWN
          example: SCHEDULE
        user:
          type: string
          description: The user who triggered the test execution, if applicable
          example: A User
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````